Bug 431930 - CRC checking should be turned on for debuginfo files
CRC checking should be turned on for debuginfo files
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: frysk (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Stan Cox
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-07 16:25 EST by Stan Cox
Modified: 2011-02-15 04:45 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-15 04:45:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer script and test script (10.00 KB, application/x-tar)
2008-02-07 16:25 EST, Stan Cox
no flags Details
Dwfl.java patch (926 bytes, patch)
2008-02-07 16:27 EST, Stan Cox
no flags Details | Diff

  None (edit)
Description Stan Cox 2008-02-07 16:25:41 EST
Description of problem:
Frysk has historically not checked the CRC of debuginfo files.  This can result
in a silent mismatch between the executable and debuginfo files.

Risk of applying change:
None.  The work of finding debuginfo and matching CRC is almost entirely on the
elfutils side.

Risk of not applying change:
High for situations where an out of date debuginfo is installed.

Steps to Reproduce:
1. Run the script test-sysroot.sh, which will create a debuginfo with a
mismatched crc

Actual results:
test program exits without hitting the breakpoint

Expected results:
1. Run the test script test-sysroot-crc.sh, which will create a debuginfo with a
matched crc
(fhpd) break main
breakpoint 0 deferred
(fhpd) run
Attached to process 18606
starting/running with this command: /tmp/test-sysroot/usr/bin/tstsysroot 
Running process 18606
(fhpd) Breakpoint 0 main 0x400448
list
[0.0]
     1   int main ()
->   2   {
     3     int x = 1;
     4     return x;
     5   }
Comment 1 Stan Cox 2008-02-07 16:25:41 EST
Created attachment 294272 [details]
reproducer script and test script
Comment 2 Stan Cox 2008-02-07 16:27:54 EST
Created attachment 294273 [details]
Dwfl.java patch
Comment 3 Andrew Cagney 2008-02-08 17:18:43 EST
(In reply to comment #0)

> Risk of applying change:
> None.  The work of finding debuginfo and matching CRC is almost entirely on the
> elfutils side.

There is never zero risk.  The patch may mis-apply, the patch may be wrong, the
patch may cause unexpected behavior.  Can it affect non CRC code, can it affect
anything else?  That is is in the elfutils code is irrelevant.
Comment 4 Andrew Cagney 2008-02-08 17:20:15 EST
Please add a -ve test; where the debuginfo is wrong and confirm the behavior is
as expected.

Note You need to log in before you can comment on or make changes to this bug.